locked
Forefront client security 2010 and central management console 2010? RRS feed

  • Question

  • Hi,

    I can only see downloads for the 2006 versions of these. Although we run Forefront TMG 2010 and a few others, is it true that client security is still on the 2006 version only?

    Way back last year sometime I looked at replacing our aging etrust setup but the Forefront management server would not support 64bit (or something similar) and time is now running out to make the replacement :-)

    Thanks,

    Rob
    Tuesday, March 16, 2010 12:41 AM

Answers

All replies

  • Hi Rob!

    Yes, the current RTM version of FCS is still V.1. there has been strategy cahnges that resulted in the delay of next version which initially was supposed to be released December last year. 
    read more: http://blogs.technet.com/forefront/archive/2009/10/08/schedule-and-strategy-update-for-forefront-endpoint-protection.aspx


    ...and yes, the current version of FCS does not support x64 on the management server. There is ofcourse a x64 bit version of the client. 
    MCSE, forefront spec | www.msforefront.com
    • Marked as answer by Rob.Ford Wednesday, March 17, 2010 2:54 AM
    Tuesday, March 16, 2010 8:25 AM
  • We do protect x64 clients of all sorts just fine.  Just don't support installing the server pieces for FCS on x64 OS's or SQL servers


    CSS Security Support Engineer (FCS/MBSA/WUA/Incident Response) Check out my blog http://blogs.technet.com/kfalde
    Tuesday, March 16, 2010 5:20 PM
  • Thanks, guys. It's problematic because I need to use 2008 R2 which, of course, is only 64-bit and it looks like I can't wait for the 2010 release. Perhaps renewing my etrust licence for another 3 years is actually a good thing. I find this situation from Microsoft a little...strange!
    Tuesday, March 16, 2010 7:58 PM
  • Johan,

    I realize this post is somewhat old but is there support for 64 bit clients in Forefront Endpoint Protection 2010? I've installed Forefront Endpoint Protection to work with our SCCM and it is all working with the 32 bit clients but it doesn't work with 64 bit. Is there an add-in to support 64 bit?

     

    Ray


    Ray
    Friday, February 4, 2011 1:38 PM